﻿@media screen and (max-width: 600px) {
    .time-display-separator--small {
        font-size: 1em;
        letter-spacing: .04em !important;
        margin: 0px 2px;
        text-align: center;
    }

    .time-display-separator--medium {
        font-size: 1.4em;
        letter-spacing: .09em !important;
        margin: 0px 2px;
        text-align: center;
    }

    .time-display-separator--large {
        font-size: 1.5em;
        letter-spacing: .3em !important;
        margin: 0px 2px;
        text-align: center;
    }

    .time-display-time--small {
        font-size: 1em;
        letter-spacing: .04em !important;
    }

    .time-display-time--medium {
        font-size: 1.4em;
        letter-spacing: .09em !important;
    }

    .time-display-time--large {
        font-size: 1.5em;
        letter-spacing: .1em !important;
        width: 40px !important;
        min-width: unset !important;
        text-align: center;
    }

    .timer-card-background {
        top: unset !important;
        bottom: 10px !important;
        height: 80px !important;
        width: 100% !important;
        border-radius: 50px !important;
        right: 50% !important;
        transform: translateX(50%);
    }

    .timer-gui-div {
        align-items: center !important;
        justify-items: center !important;
        margin-bottom: 20px !important;
        padding-left: 10px;
        width: 100%;
    }

    .timer-time-display-container {
        width: 100%;
        padding-left: 10px;
    }

    .timer-header-div {
        width: 100% !important;
    }

    .timer-card-description {
        width: 100% !important;
    }

    .event-calendar-event {
        height: unset !important;
    }

    .note-preview-icon-container {
        width: 50% !important;
        min-width: 80px;
    }
}

@media screen and (min-width: 600px) and (max-width: 959px) {
    .timer-card-background {
        top: unset !important;
        bottom: 10px !important;
        height: 80px !important;
        width: 100% !important;
        border-radius: 50px !important;
        right: 50% !important;
        transform: translateX(50%);
    }

    .timer-gui-div {
        align-items: center !important;
        justify-items: center !important;
        margin-bottom: 20px !important;
        padding-left: 20px;
        width: 100%;
    }

    .timer-time-display-container {
        width: 100%;
        padding-left: 20px;
    }

    .timer-header-div {
        width: 100% !important;
    }

    .timer-card-description {
        width: 100% !important;
    }

    .event-calendar-event {
        height: unset !important;
    }
}

@media screen and (min-width: 960px) and (max-width: 1279px) {
    .timer-card-background {
        top: 50% !important;
        height: 50% !important;
        width: 80% !important;
        border-radius: 50px !important;
        transform: translateY(-50%);
    }

    .timer-gui-div {
        align-items: center !important;
        justify-items: center !important;
        margin-bottom: unset !important;
        padding-left: 20px;
    }

    .timer-time-display-container {
        width: 100%;
        padding-left: 20px;
    }

    .timer-header-div {
        width: 50% !important;
    }

    .timer-card-description {
        width: 80% !important;
    }
}

@media screen and (min-width: 1280px) and (max-width: 1919px) {
}

@media screen and (min-width: 1920px) and (max-width: 2559) {
}

.time-display-separator--small {
    letter-spacing: .05em;
    margin: 0px 2px;
    text-align: center;
    transition: all;
    transition-duration: .5s;
    transition-timing-function: ease-out;
}

.time-display-separator--medium {
    letter-spacing: .1em;
    margin: 0px 2px;
    text-align: center;
    transition: all;
    transition-duration: .5s;
    transition-timing-function: ease-out;
}

.time-display-separator--large {
    letter-spacing: .4em;
    margin: 0px 4px;
    text-align: center;
    transition: all;
    transition-duration: .5s;
    transition-timing-function: ease-out;
}

.time-display-time--small {
    letter-spacing: .05em;
    min-width: 22px;
    text-align: center;
    transition: all;
    transition-duration: .5s;
    transition-timing-function: ease-out;
}

.time-display-time--medium {
    letter-spacing: .1em;
    min-width: 30px;
    text-align: center;
    transition: all;
    transition-duration: .5s;
    transition-timing-function: ease-out;
}

.time-display-time--large {
    letter-spacing: .2em;
    min-width: 60px;
    text-align: center;
    transition: all;
    transition-duration: .5s;
    transition-timing-function: ease-out;
}

.timer-card-background {
    position: absolute;
    top: 0px;
    right: 0px;
    height: 150%;
    max-width: 450px;
    width: 50%;
    background-color: var(--glass-foreground-color);
    border-radius: 120px 0 0 0;
    z-index: -5;
    transition: border-radius;
    transition-duration: .5s;
    transition-timing-function: ease-out;
}

.timer-gui-div {
    align-items: flex-end;
    justify-items: flex-end;
    padding-right: 20px;
    max-width: 450px;
}

.timer-header-div {
    padding: 10px;
    height: 100%;
    width: 55%;
}

.timer-card-description {
    width: 60%;
}
